#
# Module services
#
# Copyright (c) 2011-present Qualiteam software Ltd. All rights reserved.
# See https://www.x-cart.com/license-agreement.html for license details.

services:
  _defaults:
    autowire: true

  xc.sema.daemons_hook:
    class: XC\AutoImportBase\LifetimeHook\DaemonsHook
    arguments:
      $services:
        - ['xc', '%env(default::string:XCART_UNITNAME)%', 'sema']
        - ['xc', '%env(default::string:XCART_UNITNAME)%', 'sema-images']
        - ['xc', '%env(default::string:XCART_UNITNAME)%', 'sema-attachments']
        - ['xc', '%env(default::string:XCART_UNITNAME)%', 'sema-common-vehicles']
    tags:
      - {name: xcart.lifetime-hook, moduleId: XC-SemaData, type: enable, method: onEnable}
      - {name: xcart.lifetime-hook, moduleId: XC-SemaData, type: disable, method: onDisable}
      - {name: xcart.auto.daemons_hook}

  XC\SemaData\LifetimeHook\Upgrade\UpgradeTo551build4:
    tags:
      - {name: xcart.lifetime-hook, moduleId: XC-SemaData, type: upgrade, method: onUpgrade, version: 5.5.1.4}

  XC\SemaData\LifetimeHook\Upgrade\UpgradeTo552build0:
    tags:
      - {name: xcart.lifetime-hook, moduleId: XC-SemaData, type: upgrade, method: onUpgrade, version: 5.5.2.0}

  XC\SemaData\LifetimeHook\Upgrade\UpgradeTo554build0:
    tags:
      - {name: xcart.lifetime-hook, moduleId: XC-SemaData, type: upgrade, method: onUpgrade, version: 5.5.4.0}

  XC\SemaData\LifetimeHook\Upgrade\UpgradeTo558build0:
    tags:
      - {name: xcart.lifetime-hook, moduleId: XC-SemaData, type: upgrade, method: onUpgrade, version: 5.5.8.0}

  XC\SemaData\LifetimeHook\Upgrade\UpgradeTo5510build0RemoveImageTask:
    tags:
      - {name: xcart.lifetime-hook, moduleId: XC-SemaData, type: upgrade, method: onUpgrade, version: 5.5.10.0}

  XC\SemaData\LifetimeHook\Upgrade\UpgradeTo5511build2SettingsChanges:
    tags:
      - {name: xcart.lifetime-hook, moduleId: XC-SemaData, type: upgrade, method: onUpgrade, version: 5.5.11.2}

  XC\SemaData\LifetimeHook\Upgrade\UpgradeTo5511build4GenerateTokenLabelsChanged:
    tags:
      - {name: xcart.lifetime-hook, moduleId: XC-SemaData, type: upgrade, method: onUpgrade, version: 5.5.11.4}

  XC\SemaData\LifetimeHook\Upgrade\UpgradeTo5513build0TrimBrandsData:
    tags:
      - {name: xcart.lifetime-hook, moduleId: XC-SemaData, type: upgrade, method: onUpgrade, version: 5.5.13.0}
